%bcond introspection 0

Name:           libinstpatch
Version:        1.1.6
%global api_version 1.0
%global so_version 2
Release:    1%{?dist}
Summary:        Instrument file software library

URL:            http://www.swamiproject.org/
License:        LGPL-2.1-only

%global forgeurl https://github.com/swami/libinstpatch
Source0:         %{forgeurl}/archive/v%{version}/libinstpatch-%{version}.tar.gz

Patch:          %{forgeurl}/pull/71.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  ninja-build

BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(gtk-doc)
%if %{with introspection}
BuildRequires:  pkgconfig(gobject-introspection-1.0)
%endif

Provides:       bundled(md5-plumb)

%description
libInstPatch stands for lib-Instrument-Patch and is a library for processing
digital sample based MIDI instrument “patch” files. The types of files
libInstPatch supports are used for creating instrument sounds for wavetable
synthesis. libInstPatch provides an object framework (based on GObject) to load
patch files into, which can then be edited, converted, compressed and saved.


%package devel
Summary:        Development files for libinstpatch
License:        LGPL-2.1-only

Requires:       libinstpatch = %{version}-%{release}
Requires:       glib2-devel
Requires:       libsndfile-devel

%description devel
The libinstpatch-devel package contains libraries and header files for
developing applications that use libinstpatch.


%package doc
Summary:        Documentation and examples for libinstpatch
BuildArch:      noarch

%description doc
The libinstpatch-doc package contains documentation and examples for
libinstpatch.


%prep
%autosetup -p1

find examples -type f -name '*.py' -print -delete


%build

%cmake \
    -DGTKDOC_ENABLED:BOOL=OFF \
    -DINTROSPECTION_ENABLED:BOOL=\
%{?with_introspection:ON}%{!?with_introspection:OFF} \
    -GNinja
%cmake_build

%{__cmake} %{_vpath_builddir} -DGTKDOC_ENABLED:BOOL=ON
%cmake_build


%install
%cmake_install


%files
%license COPYING
%{_libdir}/libinstpatch-%{api_version}.so.%{so_version}{,.*}


%files devel
%{_includedir}/libinstpatch-%{so_version}/
%{_libdir}/libinstpatch-%{api_version}.so
%{_libdir}/pkgconfig/libinstpatch-%{api_version}.pc


%files doc
%license COPYING
%doc ABOUT-NLS
%doc AUTHORS
%doc ChangeLog
%doc README.md
%doc TODO.tasks
%doc examples/
%doc %{_vpath_builddir}/docs/reference/html/


%changelog
* Tue Aug 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.6-1
- initial build
